# Showstopper!

Ever wanted to stop time? Now you can!

## Controls/Configuration

 - Go into **3x slowmo** (1/8 timescale) and push in on your **right thumbstick**!

   - this uhhh technically means WMR users cant use the mod. if there's enough outcry over WMR support, and a WMR user proposes an alternate control scheme, I'll add it.

 - Config: This mod uses JeviLib to manage its config. 

    - freezeProjectiles: **This is inconsistent!** Stops projectiles while time is being frozen, *however* may cause projectiles to just stop and not continue, as if they were deleted while being frozen.

    - unfreezeOnGrab: **When time is stopped and you grab something, it will be unfreezed.** Defaults to `true`. If set to false, you will be able to climb on frozen objects.

    - unfreezeFindMode: When unfreezing something via grab, determines the method by which it finds what to unfreeze. Can be `AUTO`, `GRIP`, or `POOLEE`. Defaults to `AUTO`.

      - `AUTO`: **Best for general use.** Tries to unfreeze by finding a `POOLEE`, however if the grabbed object isn't pooled, it will fallback to `GRIP`.

      - `GRIP`: **The faster/computationally less expensive method.** This will allow you to **unfreeze parts of NPCs instead of whole NPCs.** Not every rigidbody will be under a pooled object, so this allows you to unfreeze unpooled objects.

      - `POOLEE`: This method is more computationally expensive, however it **allows you to unfreeze whole NPCs** instead of only certain limbs, which is certainly less janky.

## Extra info

 - This mod requires JeviLib v1.1.0, be sure to update your JeviLib install if this mod doesn't work.

## Changelog

  - **1.1.0**
    - Overdue fix for unkinematicizing avatar things
    - Half-broken projectile freeze support
    - Fix manifest (was referencing the old JeviLib oops)

  - **1.0.0**
    - Initial release